check-certificate(1)

NAME
check-certificate - checks and verifies X.509 certificates in PEM format

SYNOPSIS
check-certificate ca_certificate_file certificate_file [...]
[-C crl_file | - -crl crl_file]
[-n | - -no-view-certificate]
check-certificate [-h | - -help]
check-certificate [-v | - -version]

DESCRIPTION
check-certificate verifies X.509 certificates against a Certification Authority (CA) certificate and optionally a Certificate Revocation List (CRL). The verification is made using OpenSSL, and if available GnuTLS and NSS, to ensure the certificates are working properly with all three TLS implementations.

ARGUMENTS
The following options are available:

ca_certificate_file
    Specifies the CA certificate file to verify certificates.

certificate_file [...]
    Specifies one or more certificate files to be verified.

-C crl_file | - -crl crl_file
    Specifies a CRL file.

-n | - -no-view-certificate
    Do not display a certificate before verification.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The check-certificate tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

check-certificate My-CA-Certificate.crt My-Server-Certificate.crt

check-certificate --crl CRL.crl My-CA-Certificate.crt My-Server-Certificate.crt

check-certificate /usr/share/ca-certificates/mozilla/ISRG_Root_X1.crt www.nntb.no.crt

check-certificate /etc/ssl/certs/DigiCert_Global_Root_G2.pem www.dnb.no.crt

check-certificate --help

check-certificate -h

check-certificate --version

check-certificate -v

SEE ALSO
der2pem(1), extract-pem(1), pem2der(1), test-tls-connection(1), view-certificate(1), view-crl(1), openssl(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh